/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "project.h"
#include "main.h"
#include "BLE_APP.h"
#include "LiquidCrystal_I2C.h"

uint8 startNotification;
uint8 deviceConnected = 0;
 char outputstring1[40]; 

CYBLE_CONN_HANDLE_T connectionHandle;

void BLECallBack ( uint32 event, void *eventParam ) //Función de devolución de llamada
{
    
    CYBLE_GATTS_WRITE_REQ_PARAM_T *wrReqParam; //Mantener los comandos enviados por el cliente GATT
    
    switch (event) 
    {
    //Manejar eventos de conexión. Modificar la función de devolución de llamada
        
        
        /**********************************************************
        *                       General Events
        ***********************************************************/
        
        case CYBLE_EVT_STACK_ON: //Cuando se ejecuta el programa por lo que el dispositivo sigue desconectado
        /*    CyBle_GappStartAdvertisement(CYBLE_ADVERTISING_FAST);// Restart advertising
            deviceConnected = FALSE;
            startNotification = FALSE;
            clear();
            setCursor(0,0); //Primera linea LCD
            LCD_print("ESPERANDO...");
            break;
        */
        
        /**********************************************************
        *                       GAP Events
        ***********************************************************/
        
        case CYBLE_EVT_GAP_DEVICE_DISCONNECTED: //Cuando se desconecta el dispositivo
            CyBle_GappStartAdvertisement(CYBLE_ADVERTISING_FAST);// Restart advertising
            deviceConnected = 0;
            //startNotification = FALSE;
            clear();
            setCursor(0,0); //Primera linea LCD
            LCD_print("DESC, ESPERANDO ...");
            break;
            
        /*
        case CYBLE_EVT_GAP_DEVICE_CONNECTED:
        
            CyBle_GappStopAdvertisement();// Stop advertising
            break;
        */
            
            
        /**********************************************************
        *                       GATT Events
        ***********************************************************/
        case CYBLE_EVT_GATT_CONNECT_IND: //Cuando se conecta el dispositivo
            connectionHandle = *(CYBLE_CONN_HANDLE_T *)eventParam;
            deviceConnected = 1;
            clear();
            setCursor(0,0); //Primera linea LCD
            LCD_print("CONECTADO");
            //updateSensorDHT22();
            break;
        
        //Manejar la escritura y la escritura sin solicitudes de respuesta de un cliente GATT
        case CYBLE_EVT_GATTS_WRITE_REQ: //Escritura con respuesta
  
            wrReqParam = (CYBLE_GATTS_WRITE_REQ_PARAM_T *)eventParam;
            
            if (wrReqParam-> handleValPair.attrHandle == CYBLE_DHT22_SENSOR_SENSORCCCD_DESC_HANDLE) 
            {
                //if (wrReqParam-> handleValPair.value.val[CYBLE_DHT22_SENSOR_SENSORCCCD_DESC_INDEX]) 
                //{
                    
                    CyBle_GattsWriteAttributeValue(&wrReqParam -> handleValPair, 0, &connectionHandle, CYBLE_GATT_DB_LOCALLY_INITIATED);
                    startNotification = wrReqParam-> handleValPair.value.val[0];
                //}
                
                //else
                //{
                /* Send error response for Invalid PDU against Write request */
                  //  CYBLE_GATTS_ERR_PARAM_T err_param;
                    //err_param.attrHandle = wrReqParam->handleValPair.attrHandle;
                    //err_param.errorCode = ERR_INVALID_PDU;
                    //err_param.opcode = CYBLE_GATT_WRITE_REQ;
                    
                    //startNotification = FALSE;
                    
                    /* Send error */
                    //(void)CyBle_GattsErrorRsp(cyBle_connHandle, &err_param);
                    
                    //return;
                //}
            }
            CyBle_GattsWriteRsp(connectionHandle);
            break;
            
            default:
            break;            
    }
    //CyDelay(1000);        
}

/* [] END OF FILE */
